﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;

namespace C1ToolbarSamples
{
    /// <summary>
    /// Derives from <see cref="Button"/> and modified the template to remove the
    /// inner border.
    /// </summary>
    /// <remarks>
    /// This allows callers to stack several buttons within a <see cref="StackPanel"/> 
    /// so they look like a single button, but each individual <see cref="InnerButton"/> 
    /// retains its behavior.
    /// </remarks>
    public class InnerButton : Button
    {
        public override void OnApplyTemplate()
        {
            base.OnApplyTemplate();
            Grid grid = ((Border)GetTemplateChild("Background")).Child as Grid;
            if (grid != null)
            {
                grid.Margin = new Thickness(0);
            }
        }
    }
}
